/*****************************************************/
/*          This java file is a part of the          */
/*                                                   */
/*           -  Plouf's Java IRC Client  -           */
/*                                                   */
/*   Copyright (C)  2002 - 2003 Philippe Detournay   */
/*                                                   */
/*         All contacts : theplouf@yahoo.com         */
/*                                                   */
/*  PJIRC is free software; you can redistribute     */
/*  it and/or modify it under the terms of the GNU   */
/*  General Public License as published by the       */
/*  Free Software Foundation; version 2 or later of  */
/*  the License.                                     */
/*                                                   */
/*  PJIRC is distributed in the hope that it will    */
/*  be useful, but WITHOUT ANY WARRANTY; without     */
/*  even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   */
/*  General Public License for more details.         */
/*                                                   */
/*  You should have received a copy of the GNU       */
/*  General Public License along with PJIRC; if      */
/*  not, write to the Free Software Foundation,      */
/*  Inc., 59 Temple Place, Suite 330, Boston,        */
/*  MA  02111-1307  USA                              */
/*                                                   */
/*****************************************************/

import irc.*;
import java.awt.*;

public class IRCApplet extends java.applet.Applet implements ParameterProvider
{
  private IRCApplication _application;

  public void start()
  {
    try
    {
      ConfigurationLoader loader=new ConfigurationLoader(this,new AppletURLHandler(getAppletContext()),new AppletImageLoader(this),new AppletSoundHandler(this),new AppletFileHandler(this));
      IRCConfiguration ircConfiguration=loader.loadIRCConfiguration();
      StartupConfiguration startupConfiguration=loader.loadStartupConfiguration();

      _application=new IRCApplication(ircConfiguration,startupConfiguration,this);
      _application.init();
      setVisible(false);
      setVisible(true);
    }
    catch(Exception e)
    {
      setLayout(new FlowLayout(FlowLayout.LEFT));
      add(new Label("Startup error : "+e));
    }
  }

  public void stop()
  {
    if(_application!=null)
      _application.uninit();
    _application=null;

  }

  /** -- javascript support -- **/

  /**
   * Send the given string to the current source interpretor.
   * @param str string to send to the interpretor.
   */
  public void sendString(String str)
  {
    if(_application!=null) _application.sendString(str);
  }

  /**
   * Set the current textfield text.
   * @param text new textfield text.
   */
  public void setFieldText(String txt)
  {
    if(_application!=null) _application.setFieldText(txt);
  }

  /**
   * Get the current textfield text.
   * @return the current textfield text.
   */
  public String getFieldText()
  {
    if(_application!=null) return _application.getFieldText();
    return "";
  }

  /**
   * Validate the current textfield text, as if user pressed return key.
   */
  public void validateText()
  {
    if(_application!=null) _application.validateText();
  }

  /**
   * Request the active source to gain focus.
   */
  public void requestSourceFocus()
  {
    if(_application!=null) _application.requestSourceFocus();
  }

}
