/*****************************************************/
/*          This java file is a part of the          */
/*                                                   */
/*           -  Plouf's Java IRC Client  -           */
/*                                                   */
/*   Copyright (C)  2002 - 2003 Philippe Detournay   */
/*                                                   */
/*         All contacts : theplouf@yahoo.com         */
/*                                                   */
/*  PJIRC is free software; you can redistribute     */
/*  it and/or modify it under the terms of the GNU   */
/*  General Public License as published by the       */
/*  Free Software Foundation; version 2 or later of  */
/*  the License.                                     */
/*                                                   */
/*  PJIRC is distributed in the hope that it will    */
/*  be useful, but WITHOUT ANY WARRANTY; without     */
/*  even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   */
/*  General Public License for more details.         */
/*                                                   */
/*  You should have received a copy of the GNU       */
/*  General Public License along with PJIRC; if      */
/*  not, write to the Free Software Foundation,      */
/*  Inc., 59 Temple Place, Suite 330, Boston,        */
/*  MA  02111-1307  USA                              */
/*                                                   */
/*****************************************************/

package irc;

/**
 * The Source Listener.
 */
public interface SourceListener
{
  /**
   * A new message has been received.
   * @param source source nick.
   * @param msg message.
   */
  public void messageReceived(String source,String msg);

  /**
   * A new report has been received.
   * @param message report.
   */
  public void reportReceived(String message);

  /**
   * A new notice has been received.
   * @param nick source nick.
   * @param message notice.
   */
  public void noticeReceived(String nick,String message);

  /**
   * A new action has been received.
   * @param nick source nick.
   * @param msg message.
   */
  public void action(String nick,String msg);

  /**
   * A new clear request has been received.
   */
  public void clear();

  /**
   * This source has been activated.
   */
  public void activate();
}

