/*****************************************************/
/*          This java file is a part of the          */
/*                                                   */
/*           -  Plouf's Java IRC Client  -           */
/*                                                   */
/*   Copyright (C)  2002 - 2003 Philippe Detournay   */
/*                                                   */
/*         All contacts : theplouf@yahoo.com         */
/*                                                   */
/*  PJIRC is free software; you can redistribute     */
/*  it and/or modify it under the terms of the GNU   */
/*  General Public License as published by the       */
/*  Free Software Foundation; version 2 or later of  */
/*  the License.                                     */
/*                                                   */
/*  PJIRC is distributed in the hope that it will    */
/*  be useful, but WITHOUT ANY WARRANTY; without     */
/*  even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   */
/*  General Public License for more details.         */
/*                                                   */
/*  You should have received a copy of the GNU       */
/*  General Public License along with PJIRC; if      */
/*  not, write to the Free Software Foundation,      */
/*  Inc., 59 Temple Place, Suite 330, Boston,        */
/*  MA  02111-1307  USA                              */
/*                                                   */
/*****************************************************/

package irc.dcc;

import irc.dcc.prv.*;
import irc.*;
import java.io.*;

/**
 * The DCC Wraper.
 */
public class DCCWraper extends IRCObject
{
  /**
   * Create a new DCCWraper.
   * @param config the global irc configuration.
   */
  public DCCWraper(IRCConfiguration config)
	{
	  super(config);
	}

  /**
   * Create a new DCCChat.
   * @param myNick the local nick.
   * @param remoteNick the remote nick.
   * @param lis the closing listener.
   * @return a new DCCChat.
   */
  public DCCChat createDCCChat(String myNick,String remoteNick,DCCChatClosingListener lis)
	{
    DCCChatServer cserver=new DCCChatServer(_ircConfiguration,myNick,remoteNick,lis);
    return new DCCChat(_ircConfiguration,cserver,remoteNick);
	}

	/**
	 * Create a new DCCFile.
	 * @param f the associated local file.
	 * @param remoteNick the remote nick.
	 * @param lis the closing listener.
	 * @return a new DCCFile.
	 */
	public DCCFile createDCCFile(File f,String remoteNick,DCCFileClosingListener lis)
	{
    DCCFileHandler fhandler=new DCCFileHandler(_ircConfiguration,remoteNick,lis);
    return new DCCFile(f,fhandler);
	}

}

